class {"resolver":
	dnsservers +> ['192.168.1.1','192.168.4.1'],
	extension  => "parametric"
}

class resolver($dnsservers = ['8.8.8.8','8.8.4.4'], $extension = "default") {
	file {"resolver-conf":
		path => "/tmp/resolv.conf-$extension",
		content => template("/root/resolver-conf.erb")
	}
}
